###################################################
### chunk number 1: 
###################################################
#line 59 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
library(polySegratio)


###################################################
### chunk number 2: 
###################################################
#line 63 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
op <- options()
options(width=70, digits=4)


###################################################
### chunk number 3: 
###################################################
#line 145 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## obtain expected segregation ratios
##  default is one nulliplex parent so type.parents="heterogeneous"

print(unlist(expected.segRatio(2)))
print(unlist(expected.segRatio("Tetraploid")))
print(expected.segRatio("Octa")$ratio)


###################################################
### chunk number 4: 
###################################################
#line 174 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## obtain expected segregation ratios with type.parents="homozygous"

print(unlist(expected.segRatio("tetra",type="homoz")))
print(expected.segRatio("Octa",type="homoz")$ratio)


###################################################
### chunk number 5: 
###################################################
#line 184 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## obtain expected segregation ratios with odd ploidy level
a <- expected.segRatio(9)
print(a$ratio)


###################################################
### chunk number 6: 
###################################################
#line 222 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
mark.sim4 <- sim.autoMarkers(4, dose.proportion=c(0.7,0.3), 
                             n.markers=200, n.individuals = 200)
print(mark.sim4)


###################################################
### chunk number 7: 
###################################################
#line 230 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
plot(mark.sim4)


###################################################
### chunk number 8: 
###################################################
#line 258 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
miss.sim4 <- addMisclass(mark.sim4, misclass = 0.1)
miss.sim4 <- addMissing(miss.sim4, na.proportion = 0.2)
print(miss.sim4, col=c(1:6))


###################################################
### chunk number 9: 
###################################################
#line 266 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
plot(miss.sim4, type="all")


###################################################
### chunk number 10: 
###################################################
#line 300 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
op <- par(mfrow = c(2, 2))	
cmain <- 1.7
plot(sim.autoMarkers(4,c(0.8,0.2)), main="No overdispersion", cex.main=cmain)
plot(sim.autoMarkers(4,c(0.8,0.2), overdisp=TRUE), main="Shape1 = 50", cex.main=cmain)
plot(sim.autoMarkers(4,c(0.8,0.2), overdisp=TRUE, shape1=15), 
     main="Shape1 = 15", cex.main=cmain)
plot(sim.autoMarkers(4,c(0.8,0.2), overdisp=TRUE, shape1=5), 
     main="Shape1 = 5", cex.main=cmain)
par(op)


###################################################
### chunk number 11: 
###################################################
#line 348 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## simulated data
a <- sim.autoMarkers(ploidy = 8, c(0.7,0.2,0.09,0.01), n.markers=200, 
                     n.individuals=100)
print(a)


###################################################
### chunk number 12: 
###################################################
#line 359 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## summarise chi-squared test vs true
ac <- test.segRatio(a$seg.ratios, ploidy=8, method="chi.squared")
print(ac)
print(addmargins(table(a$true.doses$dosage, ac$dosage, exclude=NULL)))


###################################################
### chunk number 13: 
###################################################
#line 376 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## summarise binomial CI vs true
ab <- test.segRatio(a$seg.ratios, ploidy=8, method="bin", alpha=0.01)
print(ab)
print(addmargins(table(a$true.doses$dosage, ab$dosage, exclude=NULL)))


###################################################
### chunk number 14: 
###################################################
#line 397 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
## imaginary data frame representing ceq marker names read in from
## spreadsheet
x <- data.frame( col1 = c("agc","","","","gct5","","ccc","",""),
                col2 = c(1,3,4,5,1,2,2,4,6))
print(x)
print(makeLabel(x))
print(cbind(x,lab=makeLabel(x, sep=".")))


###################################################
### chunk number 15: 
###################################################
#line 413 "d:/Rcompile/CRANpkg/local/2.12/polySegratio/inst/doc/polySegratio-overview.Rnw"
p2 <- sim.autoCross(4,
dose.proportion=list(p01=c(0.7,0.3),p10=c(0.7,0.3),
                     p11=c(0.6,0.2,0.2)))
print(p2, row=c(1:5))

ss <- divide.autoMarkers(p2$markers)

print(ss, row=c(1:5))


